// lkfscor5.idl : IDL source for lkfscor5.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (lkfscor5.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";
	[
		object,
		uuid(0D37D793-C76D-11D4-9DD6-0150DA37BC28),
		dual,
		helpstring("Ilkf5 Interface"),
		pointer_default(unique)
	]
	interface Ilkf5 : IDispatch
	{
		[id(1), helpstring("method lkf_alloc_context")] HRESULT lkf_alloc_context(long modelljahr, BSTR path, [out] BSTR *error, [out, retval] long *context);
		[id(2), helpstring("method lkf_insert_aufenthalt")] HRESULT lkf_insert_aufenthalt(long aufenthalt, [out, retval] long *index);
		[id(3), helpstring("method lkf_add_line")] HRESULT lkf_add_line(BSTR line, [out, retval] long *returncode);
		[id(4), helpstring("method lkf_read_inputfile")] HRESULT lkf_read_inputfile(BSTR inputfile, [out] BSTR *error, [out, retval] long *returncode);
		[id(5), helpstring("method lkf_set_contextparameters")] HRESULT lkf_set_contextparameters(long cmb_jahr, long period_val, long lfdnr, long type, long flags);
		[id(6), helpstring("method lkf_get_context_scorvalue")] HRESULT lkf_get_context_scorvalue(long kanr, long fieldnumber, [out, retval] double *value);
		[id(7), helpstring("method lkf_context_GetErrorAnz")] HRESULT lkf_context_GetErrorAnz(long kanr, [out] long *accepted, [out, retval] long *erroranz);
		[id(8), helpstring("method lkf_context_GetWarningAnz")] HRESULT lkf_context_GetWarningAnz(long kanr, [out] long *accepted, [out, retval] long *warninganz);
		[id(9), helpstring("method lkf_read_flat_inputfile")] HRESULT lkf_read_flat_inputfile(BSTR inputfile, [out] BSTR *error, [out, retval] long *returncode);
		[id(10), helpstring("method lkf_plaus")] HRESULT lkf_plaus(long aufenthalt, [out, retval] long *returncode);
		[id(11), helpstring("method lkf_plaus_GetErrorAnz")] HRESULT lkf_plaus_GetErrorAnz(long aufenthalt, [out] long *accepted, [out, retval] long *returncode);
		[id(12), helpstring("method lkf_plaus_GetWarningAnz")] HRESULT lkf_plaus_GetWarningAnz(long aufenthalt, [out] long *accepted, [out, retval] long *warninganz);
		[id(13), helpstring("method lkf_plaus_ErrorCode2Text")] HRESULT lkf_plaus_ErrorCode2Text(long nr, [out, retval] BSTR *text);
		[id(14), helpstring("method lkf_plaus_WarningCode2Massnahme")] HRESULT lkf_plaus_WarningCode2Massnahme(long nr, [out, retval] long *massnahme);
		[id(15), helpstring("method lkf_plaus_WarningCode2Text")] HRESULT lkf_plaus_WarningCode2Text(long nr, [out, retval] BSTR *text);
		[id(16), helpstring("method lkf_scoring")] HRESULT lkf_scoring(long aufenthalt, [out, retval] long *returncode);
		[id(17), helpstring("method lkf_alloc_aufenthalt")] HRESULT lkf_alloc_aufenthalt([out, retval] long *aufenthalt);
		[id(18), helpstring("method lkf_free_aufenthalt")] HRESULT lkf_free_aufenthalt(long aufenthalt);
		[id(19), helpstring("method lkf_reset_aufenthalt")] HRESULT lkf_reset_aufenthalt(long aufenthalt);
		[id(20), helpstring("method lkf_add_abt")] HRESULT lkf_add_abt(long aufenthalt, BSTR abtfc, BSTR abtdat, BSTR abtpos, [out, retval] long *index);
		[id(21), helpstring("method lkf_add_diag")] HRESULT lkf_add_diag(long aufenthalt, BSTR diag, BSTR diagtype, [out, retval] long *returncode);
		[id(22), helpstring("method lkf_add_mel")] HRESULT lkf_add_mel(long aufenthalt, BSTR mel, BSTR melanz, [out, retval] long *index);
		[id(23), helpstring("method lkf_add_akwarn")] HRESULT lkf_add_akwarn(long aufenthalt, BSTR tcode, BSTR value, BSTR komm, [out, retval] long *index);
		[id(24), helpstring("method lkf_add_komm")] HRESULT lkf_add_komm(long aufenthalt, BSTR komm, [out, retval] long *index);
		[id(25), helpstring("method lkf_add_line_auf")] HRESULT lkf_add_line_auf(long aufenthalt, BSTR line, [out, retval] long *ret);
		[id(26), helpstring("method lkf_auf_firsterror")] HRESULT lkf_auf_firsterror(long aufenthalt, [out, retval] long *firsterror);
		[id(27), helpstring("method lkf_auf_nexterror")] HRESULT lkf_auf_nexterror(long error, [out, retval] long *nexterror);
		[id(28), helpstring("method lkf_auf_firstwarning")] HRESULT lkf_auf_firstwarning(long aufenthalt, [out, retval] long *firstwarning);
		[id(29), helpstring("method lkf_auf_nextwarning")] HRESULT lkf_auf_nextwarning(long warn, [out, retval] long *nextwarning);
		[id(30), helpstring("method lkf_auf_geterrorcode")] HRESULT lkf_auf_geterrorcode(long error, [out] long *index, [out, retval] long *code);
		[id(31), helpstring("method lkf_auf_getwarningcode")] HRESULT lkf_auf_getwarningcode(long warn, [out] long *index, [out, retval] long *code);
		[id(32), helpstring("method lkf_auf_get_maxsubgruppe")] HRESULT lkf_auf_get_maxsubgruppe(long aufenthalt, [out, retval] long *subgruppe);
		[id(33), helpstring("method lkf_auf_get_subgruppenanz")] HRESULT lkf_auf_get_subgruppenanz(long aufenthalt, [out, retval] long *anz);
		[id(34), helpstring("method lkf_auf_get_scorvalue")] HRESULT lkf_auf_get_scorvalue(long aufenthalt, long field, [out, retval] long *scorvalue);
		[id(35), helpstring("method lkf_auf_get_gruppe")] HRESULT lkf_auf_get_gruppe(long aufenthalt, [out] BSTR *knoten, [out, retval] BSTR *gruppe);
		[id(36), helpstring("method lkf_auf_get_subgruppe_gruppe")] HRESULT lkf_auf_get_subgruppe_gruppe(long aufenthalt, long index, [out] BSTR *knoten, [out, retval] BSTR *gruppe);
		[id(37), helpstring("method lkf_auf_get_subgruppe_scorvalue")] HRESULT lkf_auf_get_subgruppe_scorvalue(long aufenthalt, long index, long field, [out,retval] long *scorvalue);
		[id(38), helpstring("method lkf_compose_filename")] HRESULT lkf_compose_filename(BSTR ka, BSTR type, [out, retval] BSTR *filename);
		[id(39), helpstring("method lkf_write_file")] HRESULT lkf_write_file(BSTR filename, long kanr, long flags, [out] BSTR *error, [out, retval] long *returncode);
		[id(40), helpstring("method lkf_write_errorfile")] HRESULT lkf_write_errorfile(BSTR filename, long kanr, long flags, BSTR inputfile, BSTR outputfile, [out] BSTR *error, [out,retval] long *returncode);
		[id(41), helpstring("method lkf_get_aufenthalt_anz")] HRESULT lkf_get_aufenthalt_anz([out, retval] long *anz);
		[id(42), helpstring("method lkf_get_aufenthalt")] HRESULT lkf_get_aufenthalt(long index, [out, retval] long *aufenthalt);
		[id(43), helpstring("method lkf_reset_aufenthalte")] HRESULT lkf_reset_aufenthalte();
		[id(44), helpstring("method lkf_get_context_ka_anz")] HRESULT lkf_get_context_ka_anz([out, retval] long *anz);
		[id(45), helpstring("method lkf_get_context_ka")] HRESULT lkf_get_context_ka(long i, [out] long *aufanz, [out ,retval] BSTR *kanr);
		[id(46), helpstring("method lkf_auf_reset_abt")] HRESULT lkf_auf_reset_abt(long aufenthalt);
		[id(47), helpstring("method lkf_auf_reset_mel")] HRESULT lkf_auf_reset_mel(long aufenthalt);
		[id(48), helpstring("method lkf_auf_reset_diag")] HRESULT lkf_auf_reset_diag(long aufenthalt);
		[id(49), helpstring("method lkf_plaus_GetErrorText4")] HRESULT lkf_plaus_GetErrorText4(long aufenthalt, long error, [out] BSTR *text, [out] BSTR *field, [out,retval] long *returncode);
		[id(50), helpstring("method lkf_plaus_GetWarningText4")] HRESULT lkf_plaus_GetWarningText4(long aufenthalt, long error, [out] BSTR *text, [out] BSTR *field, [out,retval] long *returncode);
		[id(51), helpstring("method lkf_plaus_GetErrorText")] HRESULT lkf_plaus_GetErrorText(long aufenthalt, long error, [out,retval] BSTR *text);
		[id(52), helpstring("method lkf_plaus_GetWarningText")] HRESULT lkf_plaus_GetWarningText(long aufenthalt, long error, [out, retval] BSTR *text);
		[id(53), helpstring("method lkf_auf_get_gruppe_mel")] HRESULT lkf_auf_get_gruppe_mel(long aufenthalt, [out, retval] BSTR *mel);
		[id(54), helpstring("method lkf_auf_get_subgruppe_mel")] HRESULT lkf_auf_get_subgruppe_mel(long aufenthalt, long index, [out, retval] BSTR *mel);
		[id(55), helpstring("method lkf_auf_line_root")] HRESULT lkf_auf_line_root(long aufenthalt, [out,retval] BSTR *rootline);
		[id(56), helpstring("method lkf_auf_get_abtanz")] HRESULT lkf_auf_get_abtanz(long aufenthalt, [out,retval] long *anzahl);
		[id(57), helpstring("method lkf_auf_get_melanz")] HRESULT lkf_auf_get_melanz(long aufenthalt, [out,retval] long *anzahl);
		[id(58), helpstring("method lkf_auf_get_diaganz")] HRESULT lkf_auf_get_diaganz(long aufenthalt, [out,retval] long *anzahl);
		[id(59), helpstring("method lkf_auf_get_kostanz")] HRESULT lkf_auf_get_kostanz(long aufenthalt, [out,retval] long *anzahl);
		[id(60), helpstring("method lkf_auf_get_akwarnanz")] HRESULT lkf_auf_get_akwarnanz(long aufenthalt, [out,retval] long *anzahl);
		[id(61), helpstring("method lkf_auf_get_kommentaranz")] HRESULT lkf_auf_get_kommentaranz(long aufenthalt, [out,retval] long *anzahl);
		[id(62), helpstring("method lkf_auf_line_abt")] HRESULT lkf_auf_line_abt(long aufenthalt, long i, [out,retval] BSTR *line);
		[id(63), helpstring("method lkf_auf_line_diag")] HRESULT lkf_auf_line_diag(long aufenthalt, long i, [out,retval] BSTR *line);
		[id(64), helpstring("method lkf_auf_line_kost")] HRESULT lkf_auf_line_kost(long aufenthalt, long i, [out,retval] BSTR *line);
		[id(65), helpstring("method lkf_auf_line_akwarn")] HRESULT lkf_auf_line_akwarn(long aufenthalt, long i, [out,retval] BSTR *line);
		[id(66), helpstring("method lkf_auf_line_kommentar")] HRESULT lkf_auf_line_kommentar(long aufenthalt, long i, [out,retval] BSTR *line);
		[id(67), helpstring("method lkf_auf_line_mel")] HRESULT lkf_auf_line_mel(long aufenthalt, long i, [out,retval] BSTR *line);
		[id(68), helpstring("method lkf_auf_line_scoring")] HRESULT lkf_auf_line_scoring(long aufenthalt, [out,retval] BSTR *line);
		[id(69), helpstring("method lkf_auf_get_mel")] HRESULT lkf_auf_get_mel(long aufenthalt, long index, [out] BSTR *mel, [out] BSTR *melanz, [out,retval] long *returncode);
		[id(70), helpstring("method lkf_auf_get_abt")] HRESULT lkf_auf_get_abt(long aufenthalt, long index, [out] BSTR *abtfc, [out] BSTR *abtdat, [out] BSTR *abtpos, [out,retval] long *returncode);
		[id(71), helpstring("method lkf_auf_get_diag")] HRESULT lkf_auf_get_diag(long aufenthalt, long index, [out] BSTR *diag, [out] BSTR *diagtype, [out,retval] long *returncode);
		[id(72), helpstring("method lkf_copy_aufenthalt")] HRESULT lkf_copy_aufenthalt(long aufenthalt, [out, retval] long *neuer_aufenthalt);
		[id(73), helpstring("method lkf_auf_getlineanz")] HRESULT lkf_auf_getlineanz(long aufenthalt, [out, retval] long *lineanz);
		[id(74), helpstring("method lkf_auf_getline")] HRESULT lkf_auf_getline(long aufenthalt, long index, [out,retval] BSTR *line);
		[id(75), helpstring("method lkf_set_modelljahr")] HRESULT lkf_set_modelljahr(long modelljahr, BSTR input_path, [out] BSTR *errorstring, [out,retval] long *returncode);
		[id(76), helpstring("method lkf_auf_get_field")] HRESULT lkf_auf_get_field(long aufenthalt, long fieldnum, [out,retval] BSTR *fieldvalue);
		[id(77), helpstring("method lkf_auf_line_svnr")] HRESULT lkf_auf_line_svnr(long aufenthalt, [out,retval] BSTR *line);
		[id(78), helpstring("method lkf_reset_ka")] HRESULT lkf_reset_ka([out, retval] long *returncode);
		[id(79), helpstring("method lkf_add_ka_stats")] HRESULT lkf_add_ka_stats(long aufenthalt, long modus, [out,retval] long *returncode);
		[id(80), helpstring("method lkf_get_context_ka_abtanz")] HRESULT lkf_get_context_ka_abtanz(long ka, [out,retval] long *returncode);
		[id(81), helpstring("method lkf_get_context_ka_abtstat")] HRESULT lkf_get_context_ka_abtstat(long ka, long abtnr, [out] long *anz, [out] long *bd, [out] long *err, [out,retval] BSTR *abtfc);
		[id(82), helpstring("method lkf_get_context_ka_optimized")] HRESULT lkf_get_context_ka_optimized(long ka, [out] long *anz, [out] long *opt, [out] double *maxpkt, [out] double *actpkt, [out,retval] double *percentage);
		[id(83), helpstring("method lkf_auf_is_optimizable")] HRESULT lkf_auf_is_optimizable(long aufenthalt, [out,retval] long *erg);
		[id(84), helpstring("method lkf_auf_get_opt_subgruppe")] HRESULT lkf_auf_get_opt_subgruppe(long aufenthalt, [out,retval] long *gruppe);
		[id(85), helpstring("method lkf_auf_get_opt_percentage")] HRESULT lkf_auf_get_opt_percentage(long aufenthalt, [out,retval] double *percentage);
		[id(86), helpstring("method lkf_add_kost")] HRESULT lkf_add_kost(long aufenthalt, BSTR kost, [out,retval] long *returncode);
		[id(87), helpstring("method lkf_get_errorcode_minmax")] HRESULT lkf_get_errorcode_minmax([out] long *pmin, [out] long *pmax);
		[id(88), helpstring("method lkf_get_warningcode_minmax")] HRESULT lkf_get_warningcode_minmax([out] long *pmin, [out] long *pmax);
		[id(89), helpstring("method lkf_context_errorcode_count")] HRESULT lkf_context_errorcode_count(long ka, long code, [out,retval] long *count);
		[id(90), helpstring("method lkf_context_warningcode_count")] HRESULT lkf_context_warningcode_count(long ka, long code, [out,retval] long *count);
		[id(91), helpstring("method lkf_add_mel2")] HRESULT lkf_add_mel2(long aufenthalt, BSTR mel, BSTR melanz, BSTR meldat, [out,retval] long *ret);
		[id(92), helpstring("method lkf_auf_get_abtbd")] HRESULT lkf_auf_get_abtbd(long aufenthalt, long index, [out] long *abtbd, [out,retval] long *returncode);
		[id(93), helpstring("method lkf_auf_get_subgruppe_diag")] HRESULT lkf_auf_get_subgruppe_diag(long aufenthalt, long index, [out, retval] BSTR *diag);
		[id(94), helpstring("method lkf_add_diag2")] HRESULT lkf_add_diag2(long aufenthalt, BSTR diag, BSTR diagtype, BSTR diagpos, [out, retval] long *returncode);
		[id(95), helpstring("method lkf_auf_get_mel2")] HRESULT lkf_auf_get_mel2(long aufenthalt, long index, [out] BSTR *mel, [out] BSTR *melanz, [out] BSTR *meldat, [out,retval] long *returncode);
		[id(96), helpstring("method lkf_auf_get_diag2")] HRESULT lkf_auf_get_diag2(long aufenthalt, long index, [out] BSTR *diag, [out] BSTR *diagtype,[out] BSTR *diagpos, [out,retval] long *returncode);
		[id(97), helpstring("method lkf_auf_get_min_subgruppe")] HRESULT lkf_auf_get_min_subgruppe(long aufenthalt, [out, retval] long *gruppe);
		[id(98), helpstring("method lkf_add_mel3")] HRESULT lkf_add_mel3(long aufenthalt, BSTR mel, BSTR melanz, BSTR meldat, BSTR melpos, [out, retval] long *ret);
		[id(99), helpstring("method lkf_auf_get_mel3")] HRESULT lkf_auf_get_mel3(long aufenthalt, long index, [out] BSTR *mel, [out] BSTR *melanz, [out] BSTR *meldat, [out] BSTR *melpos, [out,retval] long *returncode);
		[id(100), helpstring("method lkf_context_GetMeldeDiagAnz")] HRESULT lkf_context_GetMeldeDiagAnz(long kanr, [out, retval] long *meldediagcount);
		[id(101), helpstring("method lkf_plaus_meldediag_typ")] HRESULT lkf_plaus_meldediag_typ(long nr, [out, retval] BSTR *typ);
		[id(102), helpstring("method lkf_plaus_meldediag_text")] HRESULT lkf_plaus_meldediag_text(long nr, [out, retval] BSTR *text);
		[id(103), helpstring("method lkf_auf_firstmeldediag")] HRESULT lkf_auf_firstmeldediag(long aufenthalt, [out, retval] long *meldediag);
		[id(104), helpstring("method lkf_auf_nextmeldediag")] HRESULT lkf_auf_nextmeldediag(long meldediag, [out, retval] long *nextmeldediag);
		[id(106), helpstring("method lkf_auf_getmeldediag")] HRESULT lkf_auf_getmeldediag(long meldediag, [out] long *index, [out,retval] long *code);
		[id(107), helpstring("method lkf_plaus_GetMeldeDiagAnz")] HRESULT lkf_plaus_GetMeldeDiagAnz(long aufenthalt, [out,retval] long *count);
		[id(108), helpstring("method lkf_write_meldediagfile")] HRESULT lkf_write_meldediagfile(BSTR filename, long kanr, [out] BSTR *error, [out, retval] long * returncode);
		[id(109), helpstring("method lkf_set_npplaus_tracefilename")] HRESULT lkf_set_npplaus_tracefilename(BSTR outputfilename);
		[id(110), helpstring("method lkf_auf_getintlineanz")] HRESULT lkf_auf_getintlineanz(LONG aufenthalt, [out,retval] LONG* count);
		[id(111), helpstring("method lkf_auf_getintline")] HRESULT lkf_auf_getintline(LONG aufenthalt, LONG index, [out,retval] BSTR* line);
		[id(113), helpstring("method lkf_getaddline")] HRESULT lkf_getaddline(LONG index, [out,retval] BSTR* line);
		[id(114), helpstring("method lkf_check")] HRESULT lkf_check(LONG modus, [out,retval] LONG* returncode);
		[id(115), helpstring("method lkf_getSatzartErrorCount")] HRESULT lkf_getSatzartErrorCount([out,retval] LONG* count);
		[id(116), helpstring("method lkf_getSatzartError")] HRESULT lkf_getSatzartError(LONG index, [out,retval] BSTR* line);
		[id(117), helpstring("method lkf_getSatzartErrorHeadline")] HRESULT lkf_getSatzartErrorHeadline([in] LONG Facility, [out,retval] BSTR* line);
		[id(118), helpstring("method lkf_set_compatibilitymode")] HRESULT lkf_set_compatibilitymode(LONG compatibility);
		[id(119), helpstring("method lkf_setErrorFormat")] HRESULT lkf_setErrorFormat(LONG Facility, VARIANT FieldNums, [out,retval] LONG* ReturnCode);
		[id(120), helpstring("method lkf_setErrorFilter")] HRESULT lkf_setErrorFilter(LONG Filter, [out,retval] LONG* ErrorCount);
		[id(121), helpstring("method lkf_int_scoring")] HRESULT lkf_int_scoring([out,retval] LONG* ReturnCode);
		[id(122), helpstring("method lkf_setIntAbtData")] HRESULT lkf_setIntAbtData(BSTR ABTFC, LONG BettenAnzahl, [out,retval] LONG* ReturnCode);
		[id(123), helpstring("method lkf_getaddlineanz")] HRESULT lkf_getaddlineanz([out,retval] LONG* Count);
		[id(124), helpstring("method lkf_int_getAbtAnz")] HRESULT lkf_int_getAbtAnz([out,retval] LONG* AbtAnz);
		[id(125), helpstring("method lkf_int_getAnalyseHeadline")] HRESULT lkf_int_getAnalyseHeadline([out,retval] BSTR* Line);
		[id(126), helpstring("method lkf_int_getAnalyseData")] HRESULT lkf_int_getAnalyseData(LONG AbtNr, LONG Monat, [out,retval] BSTR* Line);
		[id(127), helpstring("method lkf_int_getAbtHeadline")] HRESULT lkf_int_getAbtHeadline([out,retval] BSTR* Line);
		[id(128), helpstring("method lkf_int_getAbtData")] HRESULT lkf_int_getAbtData(LONG AbtNr, [out,retval] BSTR* Line);
		[id(129), helpstring("method lkf_int_getIntAufenthaltCount")] HRESULT lkf_int_getIntAufenthaltCount([out,retval] LONG* Count);
		[id(130), helpstring("method lkf_int_getIntAufenthaltTISSCount")] HRESULT lkf_int_getIntAufenthaltTISSCount(LONG AufNr, [out,retval] LONG* Count);
		[id(131), helpstring("method lkf_int_getIntAufenthaltDetailsHeadline")] HRESULT lkf_int_getIntAufenthaltDetailsHeadline([out,retval] BSTR* Line);
		[id(132), helpstring("method lkf_int_getIntAufenthaltDetails")] HRESULT lkf_int_getIntAufenthaltDetails(LONG AufNr, [out,retval] BSTR* Line);
		[id(133), helpstring("method lkf_int_getIntAufenthaltTRISSCount")] HRESULT lkf_int_getIntAufenthaltTRISSCount(LONG lIntAuf, [out,retval] LONG* Count);
		[id(134), helpstring("method lkf_int_getIntAufenthaltSAPSCount")] HRESULT lkf_int_getIntAufenthaltSAPSCount(LONG lIntAuf, [out,retval] LONG* Count);
		[id(135), helpstring("method lkf_int_getIntAufenthaltDetailsLine")] HRESULT lkf_int_getIntAufenthaltDetailsLine(LONG lIntAuf, LONG lSatzartNr, LONG lNr, [out,retval] BSTR* Line);
		[id(136), helpstring("method lkf_int_getIntAufenthaltDetailsField")] HRESULT lkf_int_getIntAufenthaltDetailsField(LONG lIntAuf, LONG lSatzartNr, LONG lNr, LONG lFieldNr, [out,retval] BSTR* Value);
		[id(137), helpstring("method lkf_context_scoring")] HRESULT lkf_context_scoring(LONG AufenthaltCount, [out,retval] LONG* returncode);
		[id(138), helpstring("method lkf_setIntAbtDataIndex")] HRESULT lkf_setIntAbtDataIndex(LONG AbtIndex, LONG Bettenanzahl, [out,retval] LONG* ReturnCode);
		[id(139), helpstring("method lkf_int_getAbtFC")] HRESULT lkf_int_getAbtFC(LONG AbtIndex, [out,retval] BSTR* ABTFC);
		[id(140), helpstring("method lkf_set_abrechnungsjahr")] HRESULT lkf_set_abrechnungsjahr(LONG Abrechnungsjahr);
		[id(141), helpstring("method lkf_set_contextflags")] HRESULT lkf_set_contextflags(LONG Flags);
		[id(142), helpstring("method lkf_int_setintcontextparameters")] HRESULT lkf_int_setintcontextparameters([in] BSTR VonDatum, [in] BSTR BisDatum, [in] LONG Flags, [in] LONG MaxStunden, [out,retval] LONG* Result);
		[id(143), helpstring("method lkf_int_getIntAufenthaltSAPSField")] HRESULT lkf_int_getIntAufenthaltSAPSField(LONG AufNr, LONG SAPSNr, LONG FieldNr, [out,retval] BSTR* Field);
		[id(144), helpstring("method lkf_int_getIntAufenthaltTISSField")] HRESULT lkf_int_getIntAufenthaltTISSField(LONG AufNr, LONG TISSNr, LONG FieldNr, [out,retval] BSTR* Field);
		[id(145), helpstring("method lkf_int_getIntAufenthaltTRISSField")] HRESULT lkf_int_getIntAufenthaltTRISSField(LONG AufNr, LONG TRISSNr, LONG FieldNr, [out,retval] BSTR* Field);
		[id(146), helpstring("method lkf_int_getIntAufenthaltSAPSDetails")] HRESULT lkf_int_getIntAufenthaltSAPSDetails(LONG AufNr, LONG SAPSNr, [out,retval] BSTR* Line);
		[id(147), helpstring("method lkf_int_getIntAufenthaltTISSDetails")] HRESULT lkf_int_getIntAufenthaltTISSDetails(LONG AufNr, LONG TISSNr, [out,retval] BSTR* Line);
		[id(148), helpstring("method lkf_int_getIntAufenthaltTRISSDetails")] HRESULT lkf_int_getIntAufenthaltTRISSDetails(LONG AufNr, LONG TRISSNr, [out,retval] BSTR* Line);
		[id(149), helpstring("method lkf_stat")] HRESULT lkf_stat(LONG Flags, [out,retval] LONG* Result);
		[id(150), helpstring("method lkf_stat_getLineCount")] HRESULT lkf_stat_getLineCount(LONG StatType, [out,retval] LONG* LineCount);
		[id(151), helpstring("method lkf_stat_getHeadline")] HRESULT lkf_stat_getHeadline(LONG StatType, [out,retval] BSTR* Line);
		[id(152), helpstring("method lkf_stat_getLine")] HRESULT lkf_stat_getLine(LONG StatType, LONG LineNr, [out,retval] BSTR* Line);
		[id(153), helpstring("method lkf_stat_getFieldByPosition")] HRESULT lkf_stat_getFieldByPosition(LONG StatType, LONG LineNr, LONG FieldPos, [out,retval] BSTR* FieldValue);
		[id(154), helpstring("method lkf_stat_getField")] HRESULT lkf_stat_getField(LONG StatType, LONG LineNr, LONG FieldId, [out,retval] BSTR* FieldValue);
		[id(155), helpstring("method lkf_stat_getFieldCount")] HRESULT lkf_stat_getFieldCount(LONG StatType, [out,retval] LONG* ColumnCount);
		[id(156), helpstring("method lkf_stat_getFieldHeadlineByPosition")] HRESULT lkf_stat_getFieldHeadlineByPosition(LONG StatType, LONG FieldPosition, [out,retval] BSTR* Headline);
		[id(157), helpstring("method lkf_stat_getFieldHeadline")] HRESULT lkf_stat_getFieldHeadline(LONG StatType, LONG FieldId, [out,retval] BSTR* Headline);
		[id(158), helpstring("method lkf_stat_getLineByLineInfo")] HRESULT lkf_stat_getLineByLineInfo(LONG StatType, BSTR Info, [out, retval] LONG* LineNr);
		[id(159), helpstring("method lkf_getSatzartErrorFieldHeadline")] HRESULT lkf_getSatzartErrorFieldHeadline(LONG FieldNumber, [out,retval] BSTR* FieldHeadline);
		[id(160), helpstring("method lkf_getSatzartErrorField")] HRESULT lkf_getSatzartErrorField(LONG ErrorIndex, LONG FieldNumber, [out,retval] BSTR* FieldValue);
		[id(161), helpstring("method lkf_getSatzartErrorSum_Count")] HRESULT lkf_getSatzartErrorSum_Count([out,retval] LONG* Count);
		[id(162), helpstring("method lkf_getSatzartErrorSum_CodeToId")] HRESULT lkf_getSatzartErrorSum_CodeToId(BSTR ErrorCode, [out,retval] LONG* ErrorId);
		[id(163), helpstring("method lkf_getSatzartErrorSum_Field")] HRESULT lkf_getSatzartErrorSum_Field(LONG ErrorId, LONG FieldNr, [out,retval] BSTR* ErrorText);
		[id(164), helpstring("method lkf_context_getAllErrorCount")] HRESULT lkf_context_getAllErrorCount([out,retval] LONG* Count);
		[id(165), helpstring("method lkf_context_getAllErrorInfo_CodeToId")] HRESULT lkf_context_getAllErrorInfo_CodeToId(BSTR ErrorCode, [out,retval] LONG* ErrorId);
		[id(166), helpstring("method lkf_context_getAllErrorInfo")] HRESULT lkf_context_getAllErrorInfo(LONG ErrorId, LONG FieldNr, [out,retval] BSTR* ErrorText);
		[id(167), helpstring("method lkf_convertMBDSErrorCode")] HRESULT lkf_convertMBDSErrorCode(LONG OldCode, [out,retval] BSTR* NewCode);
		[id(168), helpstring("method lkf_convertMBDSWarningCode")] HRESULT lkf_convertMBDSWarningCode(LONG OldCode, [out,retval] BSTR* NewCode);
		[id(169), helpstring("method lkf_npplaus_getProtokollHeadline")] HRESULT lkf_npplaus_getProtokollHeadline([out,retval] BSTR* Line);
		[id(170), helpstring("method lkf_npplaus_getWarningLineCount")] HRESULT lkf_npplaus_getWarningLineCount([out,retval] LONG* Count);
		[id(171), helpstring("method lkf_npplaus_getProtokollLineCount")] HRESULT lkf_npplaus_getProtokollLineCount([out,retval] LONG* Count);
		[id(172), helpstring("method lkf_npplaus_getWarningLine")] HRESULT lkf_npplaus_getWarningLine(LONG LineNr, [out,retval] BSTR* Line);
		[id(173), helpstring("method lkf_npplaus_getProtokollLine")] HRESULT lkf_npplaus_getProtokollLine(LONG LineNr, [out,retval] BSTR* Line);
		[id(174), helpstring("method lkf_npplaus_sum_headline")] HRESULT lkf_npplaus_sum_headline([out,retval] BSTR* Line);
		[id(175), helpstring("method lkf_npplaus_sum_abtcount")] HRESULT lkf_npplaus_sum_abtcount([out,retval] LONG* AbtCount);
		[id(176), helpstring("method lkf_npplaus_sum_abtline")] HRESULT lkf_npplaus_sum_abtline(LONG AbtIndex, [out,retval] BSTR* Line);
		[id(177), helpstring("method lkf_npplaus_getReasonCount")] HRESULT lkf_npplaus_getReasonCount(LONG WarningNr, [out,retval] LONG* ReasonCount);
		[id(178), helpstring("method lkf_npplaus_getReasonLine")] HRESULT lkf_npplaus_getReasonLine(LONG WarningNr, LONG ReasonNr, [out,retval] BSTR* Line);
		[id(179), helpstring("method lkf_npplaus_getInfoLine")] HRESULT lkf_npplaus_getInfoLine(LONG WarningNr, [out,retval] BSTR* Line);
		[id(180), helpstring("method lkf_npplaus_tfsum_headline")] HRESULT lkf_npplaus_tfsum_headline([out,retval] BSTR* Headline);
		[id(181), helpstring("method lkf_npplaus_critsum_headline")] HRESULT lkf_npplaus_critsum_headline([out,retval] BSTR* Headline);
		[id(182), helpstring("method lkf_npplaus_tfsum")] HRESULT lkf_npplaus_tfsum(LONG AbtIndex, [out,retval] BSTR* Line);
		[id(183), helpstring("method lkf_npplaus_critsum")] HRESULT lkf_npplaus_critsum(LONG AbtIndex, [out,retval] BSTR* Line);
		[id(184), helpstring("method lkf_auf_getErrorLine")] HRESULT lkf_auf_getErrorLine(LONG Aufenthalt, LONG Err, [out,retval] BSTR* ErrorLine);
		[id(185), helpstring("method lkf_auf_getWarningLine")] HRESULT lkf_auf_getWarningLine(LONG Aufenthalt, LONG warn, [out,retval] BSTR* WarningLine);
		[id(186), helpstring("method lkf_trace_setLevel")] HRESULT lkf_trace_setLevel(LONG Facility, LONG TraceLevel);
		[id(188), helpstring("method lkf_trace_getLineCount")] HRESULT lkf_trace_getLineCount([out,retval] LONG* LineCount);
		[id(189), helpstring("method lkf_trace_getLine")] HRESULT lkf_trace_getLine(LONG LineNr, [out,retval] BSTR* Line);
		[id(190), helpstring("method lkf_trace_getLevel")] HRESULT lkf_trace_getLevel(LONG Facility, [out,retval] LONG* DebugLevel);
		[id(191), helpstring("method lkf_trace_getAufenthalt")] HRESULT lkf_trace_getAufenthalt([out,retval] BSTR* Aufenthaltszahl);
		[id(192), helpstring("method lkf_set_debug_trace")] HRESULT lkf_set_debug_trace(void);
		[id(193), helpstring("method lkf_trace_setAufenthalt")] HRESULT lkf_trace_setAufenthalt(BSTR Aufenthaltszahl);
		[id(194), helpstring("method lkf_context_get_errortext")] HRESULT lkf_context_get_errortext([out,retval] BSTR* Error);
		[id(195), helpstring("method lkf_auf_line_akwarn2")] HRESULT lkf_auf_line_akwarn2(long aufenthalt, long i, [out] LONG *HitCount, [out,retval] BSTR *line);
		[id(196), helpstring("method lkf_context_GetHinweisAnz")] HRESULT lkf_context_GetHinweisAnz(long kanr, [out] long *accepted, [out, retval] long *erroranz);
		[id(197), helpstring("method lkf_auf_firstinfo")] HRESULT lkf_auf_firstinfo(long aufenthalt, [out, retval] long *firstinfo);
		[id(198), helpstring("method lkf_auf_nextinfo")] HRESULT lkf_auf_nextinfo(long info, [out, retval] long *nextinfo);
		[id(199), helpstring("method lkf_auf_getInfoLine")] HRESULT lkf_auf_getInfoLine(LONG Aufenthalt, LONG info, [out,retval] BSTR* InfoLine);
		[id(200), helpstring("method lkf_plaus_GetInfoAnz")] HRESULT lkf_plaus_GetInfoAnz(long aufenthalt, [out] long *accepted, [out, retval] long *warninganz);
		[id(201), helpstring("method lkf_context_GetGlobalInfo")] HRESULT lkf_context_GetGlobalInfo(long type, [out, retval] long *info);
		[id(202), helpstring("method lkf_auf_get_abtfield")] HRESULT lkf_auf_get_abtfield(long aufenthalt, long index, long fieldindex, [out,retval] BSTR *fieldvalue);
		[id(203), helpstring("method lkf_reset_aufenthalt_package")] HRESULT lkf_reset_aufenthalt_package();
		[id(204), helpstring("method lkf_context_plaus")] HRESULT lkf_context_plaus(LONG AufenthaltCount, [out,retval] LONG* returncode);
		[id(205), helpstring("method lkf_context_plaus_package")] HRESULT lkf_context_plaus_package(LONG IsFirstPackage, [out,retval] LONG* returncode);
		[id(206), helpstring("method lkf_context_read_dat")] HRESULT lkf_context_read_dat(BSTR fileName, [out,retval] LONG* numberOfLines);
		[id(207), helpstring("method lkf_context_dat_line")] HRESULT lkf_context_dat_line(LONG lineIndex, [out,retval] BSTR *line);
		[id(208), helpstring("method lkf_context_free_dat")] HRESULT lkf_context_free_dat();
		[id(209), helpstring("method lkf_context_getSatzartErrorAnz")] HRESULT lkf_context_getSatzartErrorAnz(LONG flags, [out,retval] LONG* numberOfErrors);
		[id(210), helpstring("method lkf_auf_get_abtscor100")] HRESULT lkf_auf_get_abtscor100 (long Aufenthalt, long abtIndex, [out] BSTR *abtpos, [out] long *tp100, [out] long *lp100, [out,retval] long *p100);
		[id(211), helpstring("method lkf_auf_get_abtscor")] HRESULT lkf_auf_get_abtscor (long Aufenthalt, long abtIndex, [out] BSTR *abtpos, [out] double *tp, [out] double *lp, [out,retval] double *p);
		[id(212), helpstring("method lkf_stat_package")] HRESULT lkf_stat_package ([out,retval] long *ret);
		[id(213), helpstring("method lkf_check_nombds")] HRESULT lkf_check_nombds ([out,retval] long *ret);
		[id(214), helpstring("method lkf_setErrorCountsFilter")] HRESULT lkf_setErrorCountsFilter(LONG Filter, [out,retval] LONG* ErrorCount);
		[id(215), helpstring("method lkf_get_amb_counter")]	HRESULT lkf_get_amb_counter (long counterIndex, [out,retval] long *value);
		[id(216), helpstring("method lkf_auf_get_melIndexForPos")]	HRESULT lkf_auf_get_melIndexForPos (long Aufenthalt, BSTR melpos, [out,retval] long *value);
		[id(217), helpstring("method lkf_auf_get_mel_field")]	HRESULT lkf_auf_get_mel_field (long Aufenthalt, long melIndex, long melFieldIndex, [out,retval] long *value);
		[id(218), helpstring("method lkf_auf_get_mel_value")]	HRESULT lkf_auf_get_mel_value (long Aufenthalt, long melIndex, long melFieldIndex, [out,retval] BSTR *value);
		[id(219), helpstring("method lkf_context_set_modelparameter")]	HRESULT lkf_context_set_modelparameter(long parameterIndex, BSTR parameterValue, [out, retval] long *retVal);

		[id(220), helpstring("method lkf_get_amb_kostenstelle_count")]	HRESULT lkf_get_amb_kostenstelle_count ([out, retval] long *value);
		[id(221), helpstring("method lkf_get_amb_kostenstelle_value")]	HRESULT lkf_get_amb_kostenstelle_value(long index, long ambIndex, [out, retval] long *value);
		[id(222), helpstring("method lkf_get_amb_kostenstelle_stringvalue")]	HRESULT lkf_get_amb_kostenstelle_stringvalue(long index, long ambIndex, [out, retval] BSTR *value);
		[id(223), helpstring("method lkf_get_amb_kostenstelle_counter")]	HRESULT lkf_get_amb_kostenstelle_counter(BSTR kostenstelle, long ambIndex, [out, retval] long *value);
		[id(224), helpstring("method lkf_get_amb_kostenstelle_index")]	HRESULT lkf_get_amb_kostenstelle_index(BSTR kostenstelle, [out, retval] long *value);
		[id(225), helpstring("method lkf_add_mel6")] HRESULT lkf_add_mel6(long aufenthalt, BSTR mel, BSTR melanz, BSTR meldat, BSTR melpos, BSTR melzeit, BSTR seite, BSTR fcleist, BSTR kaleist, BSTR addinfo, [out, retval] long *ret);

};
	[
		object,
		uuid(0D37D796-C76D-11D4-9DD6-0150DA37BC28),
		dual,
		helpstring("Ilkf5glob Interface"),
		pointer_default(unique)
	]
	interface Ilkf5glob : IDispatch
	{
		[id(1), helpstring("method lkf_set_global_inputpath")] HRESULT lkf_set_global_inputpath(BSTR path, [out, retval] long *retval);
		[id(2), helpstring("method lkf_unload_stamm")] HRESULT lkf_unload_stamm([out, retval] long *retcode);
		[propget, id(3), helpstring("property Version")] HRESULT Version([out, retval] BSTR* pVal);
		[propget, id(4), helpstring("property YearFirst")] HRESULT YearFirst([out, retval] LONG* pVal);
		[propget, id(5), helpstring("property YearLatest")] HRESULT YearLatest([out, retval] LONG* pVal);
	};

[
	uuid(0D37D785-C76D-11D4-9DD6-0150DA37BC28),
	version(1.0),
	helpstring("lkfscor5 1.0 Type Library")
]
library LKFKDOCLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(0D37D794-C76D-11D4-9DD6-0150DA37BC28),
		helpstring("lkf5 Class")
	]
	coclass lkf5
	{
		[default] interface Ilkf5;
	};
	[
		uuid(0D37D797-C76D-11D4-9DD6-0150DA37BC28),
		helpstring("lkf5glob Class")
	]
	coclass lkf5glob
	{
		[default] interface Ilkf5glob;
	};
};
